from django.shortcuts import render
from django.views.generic import View

from gauth.models import Location, LocationManager


class LocationListView(View):
    def get(self, request, *args, **kwargs):
        locations = Location.objects.all()
        return render(request, 'locations.html', {'all_locations': locations})